org.codehaus.groovy.tools.javac

## Class JavacCompilerFactory

- java.lang.Object
- - org.codehaus.groovy.tools.javac.JavacCompilerFactory

- All Implemented Interfaces:
    JavaCompilerFactory

      public class JavacCompilerFactory
      extends java.lang.Object
      implements JavaCompilerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavacCompilerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaCompiler` | `createCompiler(CompilerConfiguration config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavacCompilerFactory

          public JavacCompilerFactory()

  - ### Method Detail

    - #### createCompiler

          public JavaCompiler createCompiler(CompilerConfiguration config)

      Specified by:
        `createCompiler` in interface `JavaCompilerFactory`